%define upstream_name    Getargs-Long
%define upstream_version 1.1012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parses long function args f(-arg => value)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getargs/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Log::Agent) >= 0.105.0
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
The 'Getargs::Long' module allows usage of named parameters in function
calls, along with optional argument type-checking. It provides an easy way
to get at the parameters within the routine, and yields concise
descriptions for the common cases of all-mandatory and all-optional
parameter lists.

The validation of arguments can be done by a structure-driven routine
getargs() which is fine for infrequently called routines (but should be
slower), or via a dedicated routine created and compiled on the fly the
fist time it is needed, by using the cgetargs() family (expected to be
faster).

The 'Log::Agent' module is used to report errors, which leaves to the
application the choice of the final logging method: to a file, to STDERR,
or to syslog.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.101.200-4.mga10
+ Revision: 2205132
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.101.200-3.mga9
+ Revision: 1811039
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.101.200-2.mga8
+ Revision: 1519844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 22 2018 tv <tv> 1.101.200-1.mga7
+ Revision: 1323620
- update to 1.1012

* Thu Sep 20 2018 umeabot <umeabot> 1.100.700-5.mga7
+ Revision: 1283932
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.100.700-4.mga7
+ Revision: 1164506
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.100.700-3.mga7
+ Revision: 1155439
- add missing BRs thus fixing build

* Sun Jun 19 2016 pterjan <pterjan> 1.100.700-3.mga6
+ Revision: 1027816
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.100.700-2.mga6
+ Revision: 967197
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 1.100.700-1.mga6
+ Revision: 848353
- Add missing BR
- New version 1.1007

* Wed Oct 15 2014 umeabot <umeabot> 1.100.300-5.mga5
+ Revision: 751198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.300-4.mga5
+ Revision: 684849
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.300-3.mga4
+ Revision: 511833
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.300-2.mga3
+ Revision: 367680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 kharec <kharec> 1.100.300-1.mga2
+ Revision: 170090
- imported package perl-Getargs-Long


* Sun Nov 20 2011 cpan2dist 1.1003-1mga
- initial mageia release, generated with cpan2dist
